#!/usr/local/bin/wish
# -------------------------------------------------------------------------------------
# Universidade do Estado do Rio de Janeiro
# Faculdade de Engenharia 
# Departamento de Sistemas e Computacao
# Autora: Elaine de M. Silva
# Projeto de Graduacao - Adequacao do Software 
# de Simulacao Scicos para a Aquisicao de Dados
# e o Controle em Tempo Real
# -------------------------------------------------------------------------------------
# Modulo de configuracao de placas de aquisicao de dados no Scilab
# Versao:
#                0.1  - 06/06/2009
# -------------------------------------------------------------------------------------


# variaveis globais
set IP "127.0.0.1" 
set ACQ "parport" 
set IRQ "5"
set IO "0x370"
set DEV "0"
set OPT "v"


# primeiro nivel da janela
toplevel .top
wm title .top {Comedi Device Conf}

# segundo nivel
frame .top.entryarea

# define label e entrada para endereco IP
label .top.label_ip -text {IP address: }
entry .top.entry_ip -width 13 -textvariable IP

# define label e menu para escolha da placa de aquisicao
label .top.label_acq -text {Acquisition board: }
tk_optionMenu .top.menu_acq ACQ "8255" "acl-7225b" "p16r16dio" "das-16" "das-16g" "parport" \
"das-16f" "das-1201" "cio-das1601-12" "cio-das1602-16"

# define label e entrada para IRQ
label .top.label_irq -text {IRQ: }
entry .top.entry_irq -width 2 -textvariable IRQ

# define label e entrada para IO
label .top.label_io -text {IO Base: }
entry .top.entry_io -width 5 -textvariable IO

# define label e menu para escolha do dispositivo
label .top.label_dev -text {Comedi Device #: }
tk_optionMenu .top.menu_dev DEV "0" "1" "2" "3" "4" "5" "6" "7" "8" "9" "10" "11" "12" "13" "14" "15"

# define label e menu para escolha da opcao
label .top.label_opt -text {Install/Uninstall: }
tk_optionMenu .top.menu_opt OPT "v" "r" 


# proc executada pelo botao de OK
proc runScilab {} {
		
	ScilabEval config()
}

# define botao de OK
button .top.but -text {OK} -command runScilab

# usando pack para inserir .entryarea na janela de primeiro nivel
pack .top.entryarea 

# usando grid para inserir elementos
grid .top.label_ip -in .top.entryarea -row 1 -column 1
grid .top.entry_ip -in .top.entryarea -row 1 -column 2 
grid .top.label_acq -in .top.entryarea -row 2 -column 1
grid .top.menu_acq -in .top.entryarea -row 2 -column 2
grid .top.label_irq -in .top.entryarea -row 3 -column 1
grid .top.entry_irq -in .top.entryarea -row 3 -column 2
grid .top.label_io -in .top.entryarea -row 3 -column 3
grid .top.entry_io -in .top.entryarea -row 3 -column 4
grid .top.label_dev -in .top.entryarea -row 4 -column 1
grid .top.menu_dev -in .top.entryarea -row 4 -column 2
grid .top.label_opt -in .top.entryarea -row 5 -column 1
grid .top.menu_opt -in .top.entryarea -row 5 -column 2
grid .top.but -in .top.entryarea -row 6 -column 4




