/* 
 * Universidade do Estado do Rio de Janeiro
 * Faculdade de Engenharia 
 * Departamento de Sistemas e Computacao
 * Autora: Elaine de M. Silva
 * Projeto de Graduacao - Adequacao do Software 
 * de Simulacao Scicos para a Aquisicao de Dados
 * e o Controle em Tempo Real
 * -------------------------------------------------------------------------------------------
 * Comedi acquisition server: IPvx module. Sets IPv4 or IPv6.               
 * 
 * Revision 1.1  2009/08/03 01:58:28  elaine
 * Initial revision
 *
 * Revision 1.2 2009/12/05 11:27:20  elaine
 * Minor enhancements
 * 
 * -------------------------------------------------------------------------------------------
 *
 */

/* required header files */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <string.h>
#include <stddef.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <arpa/inet.h>
#include <netinet/tcp.h>
//#include <comedilib.h>    // provides comedi functions
#include "../includes/comedisrv.h"    // provides comedi modified functions and constants


void *getInAddr(struct sockaddr *sa){

	if (sa->sa_family == AF_INET){
		return &(((struct sockaddr_in*) sa)->sin_addr);
	}

	return &(((struct sockaddr_in6*)sa)->sin6_addr);
	
}
